> ## Documentation Index
> Fetch the complete documentation index at: https://docs.viggle.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Character

> Get the status and capabilities of one Character.

Poll this endpoint after creating a Character. Use the Character in a Render only after `status` is `ready` and `capabilities` includes `video_render`.

## Request parameters

| Parameter      | Type   | Required | Description                                                                            |
| -------------- | ------ | :------: | -------------------------------------------------------------------------------------- |
| `character_id` | string |    Yes   | Complete public Character ID, for example `char_550e8400-e29b-41d4-a716-446655440000`. |

## Response parameters

Returns `200 OK` with the Character fields documented in [Create Character](/v1/api-reference/characters/create). A failed Character still returns `200`; inspect `status` and `error`.

## Examples

<CodeGroup>
  ```go Go theme={null}
  req, _ := http.NewRequest("GET", "https://apis.viggle.ai/v1/characters/"+characterID, nil); req.Header.Set("Authorization", "Bearer "+apiKey); resp, err := http.DefaultClient.Do(req)
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(`https://apis.viggle.ai/v1/characters/${characterId}`, {headers:{Authorization:`Bearer ${process.env.VIGGLE_API_KEY}`}});
  ```

  ```python Python theme={null}
  response = requests.get(f"https://apis.viggle.ai/v1/characters/{character_id}", headers={"Authorization": f"Bearer {os.environ['VIGGLE_API_KEY']}"})
  ```

  ```bash cURL theme={null}
  curl "https://apis.viggle.ai/v1/characters/$CHARACTER_ID" -H "Authorization: Bearer $VIGGLE_API_KEY"
  ```
</CodeGroup>


## OpenAPI

````yaml GET /v1/characters/{character_id}
openapi: 3.0.3
info:
  title: Viggle API
  description: Generate AI-powered character animation videos
  version: 2.0.0
  contact:
    name: Viggle Support
    url: https://viggle.ai
servers:
  - url: https://apis.viggle.ai
    description: Production server
security: []
paths:
  /v1/characters/{character_id}:
    get:
      summary: Get Character
      operationId: v1GetCharacter
      responses:
        '200':
          description: Character

````